4 Replies Latest reply: Oct 18, 2009 7:32 AM by Skyko
Jorge Costa Level 4 Level 4 (1,480 points)
Hi,
There's the new drivers for Snow Leopard :
http://support.apogeedigital.com/index.php/duet/downloads/169-duet-software-inst aller

I don't have Snow L . iet so, I can´t give you more input.

Cheers,

Jorge

iMac 3.06 & PowerBook G4 15, Mac OS X (10.5.7), Logic Studio, Apogee Duet - MBox Protools Le 7.4